lavfi/opencl: Avoid deprecation warnings when built with post-1.2 headers
authorMark Thompson <sw@jkqxz.net>
Mon, 19 Mar 2018 22:52:51 +0000 (22:52 +0000)
committerMark Thompson <sw@jkqxz.net>
Thu, 22 Mar 2018 23:14:14 +0000 (23:14 +0000)
commit0568af521ef3eed3e811fb4bebff050b559dbf53
tree5a9c9056a1a48abd6031c17395f2a37ae50766a2
parent2a1542d105dc3161516e34eef77bcd64aa72cab4
lavfi/opencl: Avoid deprecation warnings when built with post-1.2 headers

The intended target is OpenCL 1.2, so disable warnings for APIs deprecated
after that.  This primarily applies to clCreateCommandQueue(), we can't use
the replacement clCreateCommandQueueWithProperties() because it was
introduced in OpenCL 2.0.

Also remove some unnecessary includes from overlay and program filters so
that the define is available at the right moment.
libavfilter/opencl.h
libavfilter/vf_overlay_opencl.c
libavfilter/vf_program_opencl.c